function str = appendextension(str, ext)
    % APPENDEXTENSION Append an extension to a string.
    % -----
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % Apache 2.0 License
    % https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox

    % ----------------------------------------------------------------------------------------------

    if isempty(regexp(str, [ext, '$'], 'once'))
        str = strcat(str, ext);
    end

end
